org.eclipse.emf.cdo.eresource.provider

## Class CDOBinaryResourceItemProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter
      - - org.eclipse.emf.cdo.eresource.provider.CDOResourceNodeItemProvider
        - - org.eclipse.emf.cdo.eresource.provider.CDOResourceLeafItemProvider
          - - org.eclipse.emf.cdo.eresource.provider.CDOFileResourceItemProvider
            - - org.eclipse.emf.cdo.eresource.provider.CDOBinaryResourceItemProvider

- All Implemented Interfaces:
    Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemColorProvider, ITableItemFontProvider, ITableItemLabelProvider, ITreeItemContentProvider

      public class CDOBinaryResourceItemProvider
      extends CDOFileResourceItemProvider

  This is the item provider adapter for a `CDOBinaryResource` object.
  Since:
    4.1
  Generated
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

      `CDOItemProviderAdapter.AdaptersDescriptor, CDOItemProviderAdapter.CDOPropertyDescriptor, CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor, CDOItemProviderAdapter.ContainerDescriptor, CDOItemProviderAdapter.DirectResourceDescriptor, CDOItemProviderAdapter.IDDescriptor, CDOItemProviderAdapter.ReadLockedDescriptor, CDOItemProviderAdapter.StateDescriptor, CDOItemProviderAdapter.URIDescriptor, CDOItemProviderAdapter.VersionDescriptor, CDOItemProviderAdapter.ViewDescriptor, CDOItemProviderAdapter.WriteLockedDescriptor, CDOItemProviderAdapter.WriteOptionDescriptor`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `GRAYED_OUT_COLOR`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOBinaryResourceItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addContentsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Contents feature.
    `protected void` | `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object.
    `java.lang.Object` | `getImage(java.lang.Object object)` This returns CDOBinaryResource.gif.
    `java.util.List<IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
    `java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
    `void` | `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
    `protected boolean` | `shouldComposeCreationImage()`

    - ### Methods inherited from class org.eclipse.emf.cdo.eresource.provider.CDOResourceNodeItemProvider

      `addNamePropertyDescriptor, addPathPropertyDescriptor, getResourceLocator, hasChildren`

    - ### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

      `addAdaptersDescriptor, addCDOPropertyDescriptor, addChangeSubscriptionPoliciesDescriptor, addContainerDescriptor, addDirectResourceDescriptor, addIDDescriptor, addReadLockedDescriptor, addStateDescriptor, addURIDescriptor, addVersionDescriptor, addViewDescriptor, addWriteLockedDescriptor, addWriteOptionDescriptor, getParent`

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

      `createCommand, getChildren, getNewChildDescriptors, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

      `getChildren, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

      `getElements`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

      `getEditableValue, getPropertyDescriptor`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider

      `getColumnImage, getColumnText`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemFontProvider

      `getFont`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `getFont`

- - ### Constructor Detail

    - #### CDOBinaryResourceItemProvider

          public CDOBinaryResourceItemProvider(AdapterFactory adapterFactory)

      This constructs an instance from a factory and a notifier.
      Generated

  - ### Method Detail

    - #### getPropertyDescriptors

          public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

      This returns the property descriptors for the adapted class.
      Specified by:
        `getPropertyDescriptors` in interface `IItemPropertySource`
      Overrides:
        `getPropertyDescriptors` in class `CDOFileResourceItemProvider`
      Generated

    - #### addContentsPropertyDescriptor

          protected void addContentsPropertyDescriptor(java.lang.Object object)

      This adds a property descriptor for the Contents feature.
      Generated

    - #### getImage

          public java.lang.Object getImage(java.lang.Object object)

      This returns CDOBinaryResource.gif.
      Specified by:
        `getImage` in interface `IItemLabelProvider`
      Overrides:
        `getImage` in class `CDOFileResourceItemProvider`
      Generated

    - #### shouldComposeCreationImage

          protected boolean shouldComposeCreationImage()

      Overrides:
        `shouldComposeCreationImage` in class `CDOFileResourceItemProvider`
      Generated

    - #### getText

          public java.lang.String getText(java.lang.Object object)

      This returns the label text for the adapted class.
      Specified by:
        `getText` in interface `IItemLabelProvider`
      Overrides:
        `getText` in class `CDOFileResourceItemProvider`
      Generated
        NOT

    - #### notifyChanged

          public void notifyChanged(Notification notification)

      This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
      Specified by:
        `notifyChanged` in interface `Adapter`
      Overrides:
        `notifyChanged` in class `CDOFileResourceItemProvider`
      Generated

    - #### collectNewChildDescriptors

          protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                                    java.lang.Object object)

      This adds `CommandParameter`s describing the children that can be created under this object.
      Overrides:
        `collectNewChildDescriptors` in class `CDOFileResourceItemProvider`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html